> ## Documentation Index
> Fetch the complete documentation index at: https://docs.atonom.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Meeting



## OpenAPI

````yaml /api-reference/connectors/openapi.yaml post /v1/calendar/cancel-meeting
openapi: 3.0.3
info:
  title: Integration Connector API
  version: 0.0.1
servers: []
security: []
tags:
  - name: CalendarService
  - name: CrmService
  - name: InventoryService
  - name: RoutingService
  - name: TicketsService
paths:
  /v1/calendar/cancel-meeting:
    post:
      tags:
        - CalendarService
      summary: Cancel Meeting
      operationId: cancelCalendarMeeting
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CancelMeetingRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CancelMeetingResponse'
        default:
          description: Default error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Status'
components:
  schemas:
    CancelMeetingRequest:
      type: object
      properties:
        event_id:
          type: string
          description: Event id to cancel as returned by a prior create or book call.
        calendar_id:
          type: string
          description: Calendar id hosting the event when required by the provider.
    CancelMeetingResponse:
      type: object
      properties:
        ok:
          type: boolean
          description: True when the provider reports cancellation succeeded.
        event_id:
          type: string
          description: Echo of the cancelled event id when available.
    Status:
      type: object
      properties:
        code:
          type: integer
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          format: int32
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
        details:
          type: array
          items:
            $ref: '#/components/schemas/GoogleProtobufAny'
          description: >-
            A list of messages that carry the error details.  There is a common
            set of message types for APIs to use.
      description: >-
        The `Status` type defines a logical error model that is suitable for
        different programming environments, including REST APIs and RPC APIs. It
        is used by [gRPC](https://github.com/grpc). Each `Status` message
        contains three pieces of data: error code, error message, and error
        details. You can find out more about this error model and how to work
        with it in the [API Design
        Guide](https://cloud.google.com/apis/design/errors).
    GoogleProtobufAny:
      type: object
      properties:
        '@type':
          type: string
          description: The type of the serialized message.
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.

````